Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query
Class RewritePseudoColumns

    java.lang.Object
      org.modeshape.jcr.query.RewritePseudoColumns

All Implemented Interfaces:
  OptimizerRule

    @Immutable
    public class RewritePseudoColumns

extends Object
implements OptimizerRule

An `optimizer rule` that moves up higher in the plan any `variable name` property to the node immediately under a `dependent query` node.

Field Summary
`static RewritePseudoColumns` | `INSTANCE`

Constructor Summary
`RewritePseudoColumns()`

Method Summary
`PlanNode` | `execute(QueryContext context, PlanNode plan, LinkedList<OptimizerRule> ruleStack)` Optimize the supplied plan using the supplied context, hints, and yet-to-be-run rules.
`protected Constraint` | `rewrite(QueryContext context, Constraint constraint)`
`protected DynamicOperand` | `rewrite(QueryContext context, DynamicOperand operand)`
`protected JoinCondition` | `rewrite(QueryContext context, JoinCondition condition)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final RewritePseudoColumns INSTANCE

Constructor Detail

### RewritePseudoColumns

    public RewritePseudoColumns()

Method Detail

### execute

    public PlanNode execute(QueryContext context,
                            PlanNode plan,
                            LinkedList<OptimizerRule> ruleStack)

  Optimize the supplied plan using the supplied context, hints, and yet-to-be-run rules.

  Specified by:
    `execute` in interface `OptimizerRule`
  Parameters:
    `context` - the context in which the query is being optimized; never null
    `plan` - the plan to be optimized; never null
    `ruleStack` - the stack of rules that will be run after this rule; never null
  Returns:
    the optimized plan; never null
  See Also:
    `OptimizerRule.execute(org.modeshape.graph.query.QueryContext, org.modeshape.graph.query.plan.PlanNode, java.util.LinkedList)`

### rewrite

    protected JoinCondition rewrite(QueryContext context,
                                    JoinCondition condition)

### rewrite

    protected Constraint rewrite(QueryContext context,
                                 Constraint constraint)

### rewrite

    protected DynamicOperand rewrite(QueryContext context,
                                     DynamicOperand operand)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.